### Function

# Gtk.value_dup_expression

#### Declaration [src]

    GtkExpression*
    gtk_value_dup_expression (
      const GValue* value
    )

#### Description [src]

Retrieves the `GtkExpression` stored inside the given `value`, and acquires a reference to it.

#### Parameters

`value` | `const GValue*`
| a `GValue` initialized with type `GTK_TYPE_EXPRESSION`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkExpression`
a `GtkExpression`
Ownership of the data is transferred to the caller
Can be `NULL`